
// Definimos los código de las teclas que necesitamos
#define CERO 0xC101E57B
#define UNO 0x9716BE3F
#define DOS 0x3D9AE3F7
#define TRES 0x6182021B
#define CUATRO 0x8C22657B
#define CINCO 0x488F3CBB
#define SEIS 0x449E79F
#define SIETE 0x32C6FDF7
#define OCHO 0x1BC0157B
#define NUEVE 0x3EC3FC1B
#define MODE 0x511DBB
#define AVANZAR 0x20FE4DBB
#define RETROCEDER 0xD7E84B1B



// CONTRASEÑA CONFIGURACIÓN
//char pass[] = "12345";          //Contraseña para acceder al menú avanzado
char pass[] = {EEPROM.read(PASS00), EEPROM.read(PASS01), EEPROM.read(PASS02), EEPROM.read(PASS03), EEPROM.read(PASS04)};


void defectoConfig()     //Poner Configuración por defecto. Graba en la EEPROM la contraseña por defecto
{
EEPROM.write(PASS00, '1');
EEPROM.write(PASS01, '2');
EEPROM.write(PASS02, '3');
EEPROM.write(PASS03, '4');
EEPROM.write(PASS04, '5');
}


void guardarPass()    //Función que guarda en la EEPROM la contraseña nueva
{
EEPROM.write(PASS00, passintro[0]);
EEPROM.write(PASS01, passintro[1]);
EEPROM.write(PASS02, passintro[2]);
EEPROM.write(PASS03, passintro[3]);
EEPROM.write(PASS04, passintro[4]);
pass[0] = EEPROM.read(PASS00);
pass[1] = EEPROM.read(PASS01);
pass[2] = EEPROM.read(PASS02);
pass[3] = EEPROM.read(PASS03);
pass[4] = EEPROM.read(PASS04);
}

void verPass()    //Función que muestra por puerto serie qué contraseña tenemos actualmente
{
Serial.println("Contraseña: ");
Serial.println(pass[0]);
Serial.println(pass[1]);
Serial.println(pass[2]);
Serial.println(pass[3]);
Serial.println(pass[4]);

}




//Función que consulta el mando infrarrojo y nos devuelve un char según el código recibido
//Si el código no coincide o no lo estamos usando devuelve 'E'
//Esta función no para, pregunta y devuelve, no espera a que llegue algo
char consultarMando()    
  {
    {
    if (irrecv.decode(&results)) 
    {
    Serial.println(results.value, HEX);
    irrecv.resume();
    
    if (results.value == CERO)
    return '0';
    else if (results.value == UNO)
    return '1';
    else if (results.value == DOS)
    return  '2';
    else if (results.value == TRES)
    return  '3';
    else if (results.value == CUATRO)
    return '4';
    else if (results.value == CINCO)
    return '5';
    else if (results.value == SEIS)
    return '6';
    else if (results.value == SIETE)
    return '7';
    else if (results.value == OCHO)
    return '8';
    else if (results.value == NUEVE)
    return '9';
    else if (results.value == MODE)
    return 'M';
    else if (results.value == AVANZAR)
    return 'A';
    else if (results.value == RETROCEDER)
    return 'R';
    else
    return 'E';
    }
    
    else
    return 'E';

    }
    
  }
  




//Función que comprueba que la contraseña introducida corresponde con la almacenada
boolean password ()
{
  char tecla;
  int a = 0;
  lcd.setCursor(7,2);
  
  while (a < 5 )
  {
    while(!irrecv.decode(&results));
   passintro[a] = consultarMando();
   if (passintro[a] == 'M')
   a = 10;
   Serial.println("Capturar password");
   Serial.println(a);
   Serial.println( passintro[a]);
   a++;
   lcd.print("*");
   }
   
   boolean pasa;
   for (a = 0; a < 5; a++)
  {
    Serial.println("Comprobar Password");
     if (pass[a]==passintro[a])
     {
     Serial.print(a);
     Serial.println( " acierto");
     pasa = true;
     }
     else
     {
     a=20;
     pasa = false;
     }
   }
   return pasa;
  
}
