//Variables para almacenar estado de la maniobra y posición
boolean estadoManiobra = false;    //true = abriendo; false = cerrando
boolean estadoPortal = false;      //true = abierto; false = cerrado
int posicion = 0;                 //Almacena la posición del portal



//Función que abre todo. Mientras se está ejecutando no se entera si llega otra orden o no
void abrirTodo()
{
int a;
for (a = 0; a < numVueltas; a++)
{
myStepper.step(stepsPerRevolution); 
estadoPortal = true;
}

}

//Función que cierra todo. Mientras se está ejecutando no se entera si llega otra orden o no
void cerrarTodo()
{
int a;
for (a = 0; a < numVueltas; a++)
{
estadoPortal = false;
myStepper.step(-stepsPerRevolution);
}
}

//Función para presentar por display el estado de la maniobra
void indicarManiobraDisplay()
{
  lcd.setCursor(0,2);
  if (estadoManiobra)
  {
  lcd.print ("ABRIENDO");
  digitalWrite(led, HIGH);
  }
  else
  lcd.print ("CERRANDO");
}

//Función para presentar por display el estado del portal
void indicarPortalDisplay()
{
  lcd.setCursor(0,2);
  if(estadoPortal)
  lcd.print ("ABIERTO ");
  else
  {
  lcd.print ("CERRADO ");
  digitalWrite(led, LOW);
  }
}

//Función para realizar la apertura total, pero que permite escuchar por si llegan más órdenes
void abrirTodoStop()
{
  int a = 0;
  estadoManiobra = true;      //Abriendo
  indicarManiobraDisplay();
  while (posicion < (64*numVueltas) && maniobra != 'A')
  {
   myStepper.step(32);
   escucharOrden ();
   posicion++;
   Serial.println (posicion);
  }
  if (posicion == (64*numVueltas))
  {
  estadoPortal = true;      //Abierto
  indicarPortalDisplay();
  }
}

//Función para realizar el cierre total, pero que permite escuchar por si llegan más órdenes
void cerrarTodoStop()
{
  int a = 0;
  estadoManiobra = false;      //Cerrando
  indicarManiobraDisplay();
  while (posicion > 0 && maniobra != 'A' && (distanObje()>10 || !sensor))
  {
   myStepper.step(-32);
   escucharOrden ();
   posicion --;
   Serial.println (posicion);
   distanObje();
  }
  Serial.println ("SALIR WHILE");
  if (posicion ==0 )
  {
  estadoPortal = false;      //Cerrado
  indicarPortalDisplay();
  }

}





boolean portal()        //Nos dice si el portal está abierto o cerrado del todo
{
return estadoPortal;  
}

boolean fasePortal()    //Nos dice si se paró en medio de una maniobra
{
return estadoManiobra;  
}

long getPosicion()      //Nos devuelve la posicón del portal
{
return posicion;  
}


void espera()        //Función que realiza la pausa y activa el indicador luminoso
{
int a;
for (a=0; a<tiempo*4; a++)
{
delay(250);
digitalWrite(led,!digitalRead(led));
}
digitalWrite(led, HIGH);
}








