//Función que nos devuelve la distancia del sensor de ultrasonidos en centímetros
//Esta función necesita sólo un pin que se configura como entrada o salida según corresponda

long distanObje()
{
   long duration, cm;

  pinMode(ultraPin, OUTPUT);    //Configura el pin como salida para enviar el pulso
  digitalWrite(ultraPin, LOW);
  delayMicroseconds(2);
  digitalWrite(ultraPin, HIGH);
  delayMicroseconds(5);
  digitalWrite(ultraPin, LOW);
  

  pinMode(ultraPin, INPUT);    //Configura el pin como entrada para monitorizar el tiempo de recepción
  duration = pulseIn(ultraPin, HIGH);
  cm = duration / 29 / 2;
  Serial.print (cm);
  Serial.println (" cm");
    
  return cm;
  


}
