
//Arrays para almacenar el valor de las tarjetas
int tarjetaLeida[5];
int tarjeta0[5] = {EEPROM.read(0), EEPROM.read(1), EEPROM.read(2), EEPROM.read(3), EEPROM.read(4)};
int tarjeta1[5] = {EEPROM.read(5), EEPROM.read(6), EEPROM.read(7), EEPROM.read(8), EEPROM.read(9)};
int tarjeta2[5] = {EEPROM.read(10), EEPROM.read(11), EEPROM.read(12), EEPROM.read(13), EEPROM.read(14)};



//Función que compara la tarjeta leída con las tres tarjetas almacenadas
boolean comprobarTarjeta (int tarjeta)
{
  Serial.print("COMPROBANDO TARJETA");
  boolean coincide;
  int a;
  int tarjetaPrueba[5];
  
  for (a = 0; a < 5; a++)
  {
    if (tarjeta == 0)
    {
    tarjetaPrueba[a] = tarjeta0[a];
    }
    else if (tarjeta == 1)
    {
    tarjetaPrueba[a] = tarjeta1[a];
    }
    else if (tarjeta == 2)
    {
    tarjetaPrueba[a] = tarjeta2[a];
    }
    Serial.print(tarjetaPrueba[a],HEX);
  }
    
  
  
  for (a = 0; a < 5; a++)
  {
  if (tarjetaLeida[a] == tarjetaPrueba[a])  
  coincide = true;
  else
  {
  a = 5;
  coincide = false;
  }
  return coincide;
  
}
}


//Función de lectura de tarjeta
boolean rfidTarjeta ()
  {
    boolean leido = false;
  if (rfid.isCard() ) 
  {
    Serial.print("LEYENDO TARJETA");
    lcd.setCursor(0,2);
 if (rfid.readCardSerial()) 
    {
    int a;
    for (a = 0; a < 5; a++)
    {
    Serial.print(a);
    tarjetaLeida[a] = rfid.serNum[a]; 
    delay(100);
     
    //lcd.print(tarjetaLeida[a],HEX);
    Serial.print(tarjetaLeida[a],HEX);
    leido = true;
    }
    
    } 
   }
   return leido;
  }
  

  //Función que permite almacenar el código de una tarjeta en la EEPROM
  void guardarTarjeta(int tarjeta)
  {
    int a;
    for (a=0; a<5; a++)
      {
      if (tarjeta == 0)
      {
      EEPROM.write(a,tarjetaLeida[a]);
      tarjeta0[a] = tarjetaLeida[a];
      }
      else if (tarjeta == 1)
      {
      EEPROM.write(a+5,tarjetaLeida[a]);
      tarjeta1[a] = tarjetaLeida[a];
      }
      else if (tarjeta == 2)
      {
      EEPROM.write(a+10,tarjetaLeida[a]);
      tarjeta2[a] = tarjetaLeida[a];
      }
      }
  }
  

//Función que nos muestra el código de una tarjeta
void imprimirTarjeta(int tarjeta)
{
  int a;
  if(tarjeta == 0)
  {
  for (a=0; a<5; a++)
      {
      Serial.print(tarjeta0[a],HEX);
      lcd.print(tarjeta0[a],HEX);
      }
  }
  if(tarjeta == 1)
  {
  for (a=0; a<5; a++)
      {
      Serial.print(tarjeta1[a],HEX);
      lcd.print(tarjeta1[a],HEX);
      }
  }
  if(tarjeta == 2)
  {
  for (a=0; a<5; a++)
      {
      Serial.print(tarjeta2[a],HEX);
      lcd.print(tarjeta2[a],HEX);
      }
  }
}

//Función que borra las tarjetas almacenadas
void borrarTarjetas()
{
  int a;
  for (a=0; a<5; a++)
      {
      tarjetaLeida[a] = 0xFF;
      }
  guardarTarjeta(0);
  guardarTarjeta(1);
  guardarTarjeta(2);
  
}

void tarjetasAlmacenadas()
{
int a;
Serial.println("Tarjeta 0");
for (a=0; a<5; a++)
{
  Serial.print(EEPROM.read(a),HEX);
}
Serial.println("");
Serial.println("Tarjeta 1");
for (a=0; a<5; a++)
{
  Serial.print(EEPROM.read(a+5),HEX);
}
Serial.println("");
Serial.println("Tarjeta 2");
for (a=0; a<5; a++)
{
  Serial.print(EEPROM.read(a+10),HEX);
}

}
              
        
